RoleCalendar (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.RoleCalendar class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class RoleCalendar

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.RoleCalendar

All Implemented Interfaces:
  java.io.Serializable

    public class RoleCalendar

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `RoleCalendar()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Calendar` | `getCalendar()`
`Role` | `getRole()`
`RoleCalendarType` | `getType()`
`protected int` | `getTypeEnum()`
`int` | `hashCode()`
`protected void` | `setCalendar(Calendar c)`
`protected void` | `setRole(Role r)`
`protected void` | `setTypeEnum(int type)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleCalendar

    protected RoleCalendar()

Method Detail

### getRole

    public Role getRole()

### setRole

    protected void setRole(Role r)

### getCalendar

    public Calendar getCalendar()

### setCalendar

    protected void setCalendar(Calendar c)

### getType

    public RoleCalendarType getType()

### getTypeEnum

    protected int getTypeEnum()

### setTypeEnum

    protected void setTypeEnum(int type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.